그누보드(영카트) 5.4.11 (webp 파일 지원) > 영카트5 다운로드

영카트5 다운로드

그누보드(영카트) 5.4.11 (webp 파일 지원) 정보

그누보드(영카트) 5.4.11 (webp 파일 지원)

첨부파일

gnuboard5-5.4.11.zip (11.9M) 74회 다운로드 2021-07-19 12:10:55
gnuboard5-5.4.11.tar.gz (10.2M) 21회 다운로드 2021-07-19 12:10:55
gnuboard5.4.11.patch.zip (138.6K) 101회 다운로드 2021-07-19 12:10:55

본문

주의) PHP 5.x 버전을 사용하시는 사용자님들께서는 이 버전 사용시 오류가 발생 할 수 있으니 상위 버전을 사용해 주세요.



# 변경된 사항

버전 5.4.11 수정
https://github.com/gnuboard/gnuboard5/commit/0260fb9e331c5ebb44168797259c3090f0746134

ckeditor4 는 별도의 브랜치에서 관리하기 위해 삭제함
https://github.com/gnuboard/gnuboard5/commit/d9e6342c09f0a9d9455ec5729234ac65b964475a

Merge branch 'dhtml-editor' of github.com:gnuboard/gnuboard5 into dhtml-editor
https://github.com/gnuboard/gnuboard5/commit/8abf0dfcaeefca61e7fcd4242db631309cd7da43

Merge branch 'reaonly'
https://github.com/gnuboard/gnuboard5/commit/c2ce0f1d95ff018690124c3a39d5ff2cc11aac28

Merge branch 'inicis-cancel'
https://github.com/gnuboard/gnuboard5/commit/4183ae5a429a7ab7bbf275b05505d88eeeba8893

잘못 선언된 변수 $reaonly 를 삭제하고, $required_value 변수의 위치를 옮김 (작은별님,210718)
https://github.com/gnuboard/gnuboard5/commit/8468a87f26b48eb908acd9d936a0139c838994e4

php5.x 버전에서만 stripslashes 가 되지 않는 오류가 있어 php 7.0 미만 버전에서 get_magic_quotes_gpc 가 실행되도록 예전 코드를 되돌림
https://github.com/gnuboard/gnuboard5/commit/fdbbe2d307e02dc1f720c427be751c42d53306fd

모바일결제에서 결제금액 불일치시 결제를 취소해야하는 이니시스 코드 누락되어 추가함. (위토즈님,210714)
https://github.com/gnuboard/gnuboard5/commit/9bc012f7f824811fab004f8ed586fe93bfbcb84d

Merge pull request #79 from projectSylas/ckeditor4
https://github.com/gnuboard/gnuboard5/commit/76bbc410436c487d0069c91baea0c0156c17d554

Merge branch 'dhtml-editor' into ckeditor4
https://github.com/gnuboard/gnuboard5/commit/bda235bf012a7568a201d3d088ce892dd5f6abfc

에디터 별 익스플로러 안내문 추가
https://github.com/gnuboard/gnuboard5/commit/57e41498bc48898703cdc261669d2e64c665dd3f



### config.php 의 끝에 추가해 주세요

define('G5_IMAGE_EXTENSIONS', array(1=>'gif', 2=>'jpg', 3=>'png', 18=>'webp'));



### 업그레이드 하시는 경우
환경설정 > 기본환경설정 > 게시판기본 > 이미지 업로드 확장자에 webp 를 추가하세요.
예) gif|jpg|jpeg|png|webp



### webp 파일 지원 관련 안내

cheditor5 / smarteditor2 모두 정지 이미지 webp는 지원이 되며,
cheditor5는 기반이 플래시 기반 에디터이므로 움직이는 webp이미지를 업로드 하여도 정지이미지로 업로드 됩니다.
smarteditor2는 php-gd기반으로 이미지 업로드가 구현되어있어 php-gd가 움직이는 webp는 아직 지원하지 않아서 정지 webp이미지만 정상적으로 업로드가 가능합니다.
익스플로러(엣지제외)에서는 webp이미지 업로드가 불가능합니다.



### ckeditor4는 해당 브랜치에서 다운로드 하시기 바랍니다. (아직 공식배포 하지 않습니다.)
ckeditor4는 정지 webp 움직이는 webp 모두 업로드가 가능합니다.
https://github.com/gnuboard/gnuboard5/tree/ckeditor4

댓글 15개

php 5. 사용자는

/lib/thumbnail.lib.php 파일에서 G5_IMAGE_EXTENSIONS => $extensions 변수로 변경하셔야 정상 노출되네요
@ㅇr름ㄷr운총각

### config.php 의 끝에 추가해 주세요

define('G5_IMAGE_EXTENSIONS', array(1=>'gif', 2=>'jpg', 3=>'png', 18=>'webp'));


이 내용 추가했습니다.
알려주셔서 감사합니다.

ps. 새로 설치하시는 경우에는 이상 없습니다.
@리자

define 함수가 php7 버전부터 배열 지원 되는걸로 알고있습니다.^^

https://www.php.net/manual/en/function.define.php
주의) PHP 5.x 버전을 사용하시는 사용자님들께서는 이 버전 사용시 오류가 발생 할 수 있으니 상위 버전을 사용해 주세요.
전체 236 |RSS

회원로그인

(주)에스아이알소프트 / 대표:홍석명 / (06211) 서울특별시 강남구 역삼동 707-34 한신인터밸리24 서관 1404호 / E-Mail: admin@sir.kr
사업자등록번호: 217-81-36347 / 통신판매업신고번호:2014-서울강남-02098호 / 개인정보보호책임자:김민섭(minsup@sir.kr)
© SIR SOFT